
.loading {
  height: 24px;
}
.loading img {
  height: 30px;
}

.send-icon {
  height: 16px;
}
.send-icon img {
  height: 16px;
}


#chat-wrapper-support {
  position: relative;
  width: 100%;
  max-width: 100%;
  height: calc(100vh - 60px);
  box-sizing: border-box;
  margin: 0 auto;
  max-height: 600px;
}


#chat-body-support {
  border: 0px solid #505050;
  border-radius: 20px;
  background-color: transparent;
  width: 100%;
  height: calc(100vh - 100px);
  max-height: 540px;
  position: relative;
  overflow-y: auto;
  padding: 0px;
  margin: 30px auto 0 auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

#chat-body-support::-webkit-scrollbar {
  display: none; /* Chrome, Safari и Opera */
}


.message {
  background-color: #ffffff;
  border-radius: 10px;
  margin-bottom: 10px;
  padding: 10px;
}

.user-message-support, .bot-message-support {
  position: relative;
  line-height: 1.5;
  opacity: 0;
  animation-name: fadeIn;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}


.user-message-support {
  background-color: #F4F4F5;
  color: #000;
  font-family: Helvetica, sans-serif;
  margin-top: 40px;
  margin-bottom: 40px;
  padding: 10px;
}

.user-message-support:before {
  content: "Me:";
  position: absolute;
  top: -25px;
  left: 5px;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  color: #505050;
}

.user-message-support {
  position: relative;
  line-height: 1.5;
  opacity: 0;
  animation-name: fadeInUser;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
}

@keyframes fadeInUser {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.bot-message-support {
  background-color: #fff;
  font-family: Helvetica, sans-serif;
  margin-top: 40px;
  padding: 10px;
}

.bot-message-support:before {
  content: "Intellbot:";
  position: absolute;
  top: -25px;
  left: 5px;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  color: #505050;
}

.bot-message-support.empty::before {
  content: "Intellbot:";
}


#chat-input-support textarea {
  flex-grow: 2;
  border: 1px solid #d9d9d9;
  border-radius: 20px;
  margin-right: 10px;
  padding: 5px;
  height: 40px;
  padding-left: 10px;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  box-sizing: border-box;
  resize: none;
  overflow-y: auto;
  max-height: 150px;
  padding-top: 7px;
  line-height: 1.5;
  width: inherit;
  background-color: #ffffff;
  flex-direction: row;
}

.my-textarea {
  padding-left: 15px !important;
}


#chat-input-support textarea:focus {
  outline: none;
  border-color: #d9d9d9;
  box-shadow: 0 0 3px 0 #d9d9d9;
}

/* Стили формы ввода и кнопки */
#chat-input-support {
  display: flex;
  margin: 10px 0;
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  box-sizing: border-box;
}

#chat-input-support form {
  display: flex;
  width: 100%;
  flex-direction: row;
  height: 50px;
}

#chat-input-support input {
  flex-grow: 2;
  border: 1px solid #d9d9d9;
  border-radius: 20px;
  margin-right: 10px;
  padding: 5px;
  height: 40px;
  padding-left: 10px;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  box-sizing: border-box;
}

#chat-input-support input:focus {
  outline: none;
  border-color: #000000;
  box-shadow: 0 0 3px 0 #000000;
}


#chat-input-support button {
  flex-grow: 0.3;
  background-color: #000000;
  border: none;
  border-radius: 20px;
  color: #fff;
  padding: 5px;
  height: 40px;
  width: 43px;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  cursor: pointer;
  box-sizing: border-box;
  align-self: flex-end;
}

#chat-input-support button:hover {
  background-color: #505050;
  transition: background-color 0.2s ease-in-out;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.bot-message-support img {
    max-height: 600px;
    max-width: 100%;
    border-radius: 10px;
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
}

.bot-message-support table {
  border-collapse: collapse;
  width: 100%;
}

.bot-message-support table th, .bot-message-support table td {
  border: 1px solid #a6a6a6;
  text-align: left;
  padding: 10px;
}

.bot-message-support table th {
  background-color: #f0f0f0;
}

.bot-message-support ul {
  list-style-position: inside;
}

.bot-message-support p {
  margin: 0;
}

.extra-info img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
}

.extra-info {
    overflow: auto;
}

.gantt .tick text {
    display: none;
}

/*Свап анимация*/

.transition-fade {
  transition: 0.4s;
  opacity: 1;
}

html.is-animating .transition-fade {
  opacity: 0;
}


/* Стили для форм */
.item {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-bottom: 10px;
}

.inputField {
  display: flex;
  flex-direction: column;
  padding-left: 10px;
}

.inputField:not(:last-child) {
  margin-right: 20px;
}

#itemsContainer {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 0px;
}

#myForm button {
  margin-top: 0px;
  border: none;
  border-radius: 10px;
  margin-bottom: 30px;
  background-color: black;
  color: white;
  cursor: pointer;
  padding: 10px 20px;
  margin-left: 10px;
  font-size: 16px;
}

/* Стили для отображения Ютуб видео */
.responsive-video-wrapper {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    max-width: 100%;
    margin-bottom: 30px;
    border-radius: 20px;
    overflow: hidden;
}

.responsive-video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}